<template>
  <GenericLayout>
    <template #header>
      <Header
        :back-button="true"
        :title="pageTitle"
      />
    </template>

    <template
      #page-content
    >
      <div class="full-height column">
        <template v-if="isDesktopPlatform">
          <div
            class="page-title"
            v-if="pageTitle"
          >
            {{ pageTitle }}
          </div>
          <div
            class="page-subtitle"
            v-if="pageSubTitle"
          >
            {{ pageSubTitle }}
          </div>
        </template>
        <q-card
          :square="!isDesktopPlatform"
          class="column no-wrap col"
        >
          <q-banner
            class="bg-grey-3 text-grey-8 q-mb-md"
          >
            <translate>This data is used to compute the nutrients provided by the mineral fertilization.</translate>
          </q-banner>

          <IcpaPmnMineralFertilizationsCard
            :initial-items="storeMineralFertilizations"
            @update-items="onUpdateItems"
          />

          <q-card-section class="q-mt-auto">
            <q-card-actions
              class="q-pa-none"
              vertical
              align="stretch"
            >
              <q-btn
                color="primary"
                text-color="white"
                @click="onClickCompute"
              >
                <translate>Compute</translate>
              </q-btn>
              <q-btn
                flat
                color="primary"
                @click="onClickPrevious"
              >
                <translate>Previous</translate>
              </q-btn>
            </q-card-actions>
          </q-card-section>
        </q-card>
      </div>
    </template>

    <template #footer>
      <Footer />
    </template>
  </GenericLayout>
</template>

<script>
import { PlatformMixin } from 'src/mixins/PlatformMixin'
import GenericLayout from 'src/layouts/GenericLayout'
import Header from 'src/components/layouts/Header'
import Footer from 'src/components/layouts/Footer'
import AlgorithmsMixins from 'src/pages/fieldbook/fertilization/algorithms/common/mixins/AlgorithmsMixins'
import IcpaPmnMineralFertilizationsCard from 'src/pages/fieldbook/fertilization/algorithms/icpa-pmn/components/IcpaPmnMineralFertilizationsCard'

export default {
  name: 'IcpaPmnMineralFertilizationPage',
  components: {
    GenericLayout,
    Header,
    Footer,
    IcpaPmnMineralFertilizationsCard
  },
  mixins: [PlatformMixin, AlgorithmsMixins],
  data () {
    return {
      icpaPmnManureStorage: null
    }
  },
  computed: {
    pageTitle () {
      return this.$gettext('Manure')
    },
    pageSubTitle () {
      return 'ICPA PMN'
    },
    storeMineralFertilizations: {
      get () {
        return this.$store.state.fertilizationPlan.parameters.mineralFertilizations || []
      },
      set (v) {
        this.updateParameter('mineralFertilizations', v)
      }
    }
  },
  methods: {
    onClickCompute () {
      this.$router.push({
        name: 'icpaPmnMineralComputePlan'
      })
    },
    onClickPrevious () {
      this.$router.replace({
        name: 'icpaPmnManure'
      })
    },
    onUpdateItems (mineralFertilizations) {
      this.storeMineralFertilizations = [...mineralFertilizations]
    }
  }
}
</script>
